/*
Nome: Mario
Cognome: Montanari

delDigit (come removeDigit)
*/

#include <iostream>
#include <cctype>

#define SIZE 100+1

using namespace std;

char *delDigit(char *const str);

int main(void) {
	char str[SIZE] = "H3ll0 W0rld! 2025";
	
	cout << "Before: " << str << endl;
	
	delDigit(str);
	
	cout << "After: " << str << endl;
	
	return 0;
}

char *delDigit(char *const str) {
	char *dst = str;
	
	for (char *src = str; *src != '\0'; src++) {
		if (!isdigit(*src)) {
			*dst++ = *src;
		}
	}
	
	*dst = '\0';
	
	return str;
}